<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<html>
<head>
    <title>New Employee</title>
</head>
<body>
<h1>Create Employee</h1>

<%--the <form:form> tag plays an important role here;
it's very similar to the regular HTLM <form> tag but the modelAttribute attribute is the key which specifies a name
of the model object that backs this form:--%>


<form:form action="/create" method="POST" modelAttribute="employee">
    <table>
        <tr>
            <td><form:label path="firstName">First Name</form:label></td>
            <td><form:input path="firstName"/></td>
        </tr>
        <tr>
            <td><form:label path="lastName">Last Name</form:label></td>
            <td><form:input path="lastName"/></td>
        </tr>
        <tr>
            <td><form:label path="jobTitle">Job Title</form:label></td>
            <td><form:input path="jobTitle"/></td>
        </tr>
        <tr>
            <td><input type="submit" value="Submit"/></td>
        </tr>
    </table>
</form:form>
</body>
</html>